Package org.apache.sysds.runtime.instructions.spark.functions

# Class CopyTensorBlockFunction

java.lang.Object
org.apache.sysds.runtime.instructions.spark.functions.CopyTensorBlockFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<BasicTensorBlock,BasicTensorBlock>`

public class CopyTensorBlockFunction extends Object implements org.apache.spark.api.java.function.Function<BasicTensorBlock,BasicTensorBlock>
General purpose copy function for binary block rdds. This function can be used in mapValues (copy tensor blocks). It supports both deep and shallow copies of values.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CopyTensorBlockFunction()`
`CopyTensorBlockFunction(boolean deepCopy)`

## Method Summary

Modifier and Type
Method
Description
`BasicTensorBlock`
`call(BasicTensorBlock arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CopyTensorBlockFunction

public CopyTensorBlockFunction()

### CopyTensorBlockFunction

public CopyTensorBlockFunction(boolean deepCopy)

## Method Details

### call

public BasicTensorBlock call(BasicTensorBlock arg0) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<BasicTensorBlock,BasicTensorBlock>`
Throws:
  `Exception`